Sign inGet started

Workspaces

GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
List of results.
Afficher les attributs enfants
results.id
string
obligatoire
Workspace ID.
results.organizationId
string
obligatoire
ID of the organization this workspace is part of.
results.status
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
Afficher les attributs enfants
results.statusTransitions.fromStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
obligatoire
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
obligatoire
results.statusTransitions.transitionedBy
object
obligatoire
Afficher les attributs enfants
results.statusTransitions.transitionedBy.id
string
obligatoire
results.statusTransitions.transitionedBy.type
string
obligatoire
Possible values: user, accesskey, contact
results.name
string
obligatoire
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
obligatoire
The data storage policy for a resource.
Afficher les attributs enfants
results.dataPolicy.group
string
obligatoire
The name of the region group used for storage.
results.dataPolicy.regions
array of object
obligatoire
Afficher les attributs enfants
results.dataPolicy.regions.region
string
obligatoire
The name of the AWS region.
results.dataPolicy.regions.priority
integer
obligatoire
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
obligatoire
Possible values: default, strict
results.configuration
object
Afficher les attributs enfants
results.configuration.domain
string
Domain name.
results.createdAt
string
obligatoire
When the workspace was created.
results.updatedAt
string
obligatoire
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
Corps de la requête
name
string
obligatoire
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatoire
The data storage policy for a resource.
Afficher les paramètres enfants
dataPolicy.group
string
obligatoire
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
obligatoire
Afficher les paramètres enfants
dataPolicy.regions.region
string
obligatoire
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
obligatoire
The priority to give to this region when storing data.
configuration
object
Afficher les paramètres enfants
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
Corps de la réponse
id
string
obligatoire
Workspace ID.
organizationId
string
obligatoire
ID of the organization this workspace is part of.
status
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Afficher les attributs enfants
statusTransitions.fromStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatoire
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatoire
statusTransitions.transitionedBy
object
obligatoire
Afficher les attributs enfants
statusTransitions.transitionedBy.id
string
obligatoire
statusTransitions.transitionedBy.type
string
obligatoire
Possible values: user, accesskey, contact
name
string
obligatoire
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatoire
The data storage policy for a resource.
Afficher les attributs enfants
dataPolicy.group
string
obligatoire
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatoire
Afficher les attributs enfants
dataPolicy.regions.region
string
obligatoire
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatoire
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatoire
Possible values: default, strict
configuration
object
Afficher les attributs enfants
configuration.domain
string
Domain name.
createdAt
string
obligatoire
When the workspace was created.
updatedAt
string
obligatoire
When the workspace was last updated.
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
Corps de la réponse
id
string
obligatoire
Workspace ID.
organizationId
string
obligatoire
ID of the organization this workspace is part of.
status
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Afficher les attributs enfants
statusTransitions.fromStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatoire
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatoire
statusTransitions.transitionedBy
object
obligatoire
Afficher les attributs enfants
statusTransitions.transitionedBy.id
string
obligatoire
statusTransitions.transitionedBy.type
string
obligatoire
Possible values: user, accesskey, contact
name
string
obligatoire
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatoire
The data storage policy for a resource.
Afficher les attributs enfants
dataPolicy.group
string
obligatoire
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatoire
Afficher les attributs enfants
dataPolicy.regions.region
string
obligatoire
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatoire
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatoire
Possible values: default, strict
configuration
object
Afficher les attributs enfants
configuration.domain
string
Domain name.
createdAt
string
obligatoire
When the workspace was created.
updatedAt
string
obligatoire
When the workspace was last updated.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
Corps de la requête
name
string
The display name for the workspace
description
string
The description for the workspace
Corps de la réponse
id
string
obligatoire
Workspace ID.
organizationId
string
obligatoire
ID of the organization this workspace is part of.
status
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Afficher les attributs enfants
statusTransitions.fromStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
obligatoire
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
obligatoire
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
obligatoire
statusTransitions.transitionedBy
object
obligatoire
Afficher les attributs enfants
statusTransitions.transitionedBy.id
string
obligatoire
statusTransitions.transitionedBy.type
string
obligatoire
Possible values: user, accesskey, contact
name
string
obligatoire
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
obligatoire
The data storage policy for a resource.
Afficher les attributs enfants
dataPolicy.group
string
obligatoire
The name of the region group used for storage.
dataPolicy.regions
array of object
obligatoire
Afficher les attributs enfants
dataPolicy.regions.region
string
obligatoire
The name of the AWS region.
dataPolicy.regions.priority
integer
obligatoire
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
obligatoire
Possible values: default, strict
configuration
object
Afficher les attributs enfants
configuration.domain
string
Domain name.
createdAt
string
obligatoire
When the workspace was created.
updatedAt
string
obligatoire
When the workspace was last updated.
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'